<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" id="deliveries-by-size">

 <lire:title>Deliveries Attempts By Size Email Report</lire:title>
 <lire:description>
  <para>This report shows the number of deliveries attempts aggregated
   in configurable size range.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="size" type="bytes" default="1k">
   <lire:description>
    <para>This parameter controls the size of the size ranges over
     which the deliveries are aggregated.
    </para>
   </lire:description>
  </lire:param>
</lire:param-spec>

 <lire:display-spec>
  <lire:title>Deliveries Attempts By Size</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:rangegroup field="size" range-size="$size" size-scale="5">
   <lire:count name="deliveries_total"/>
  </lire:rangegroup>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->

